Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl.http
Class OperationType

    java.lang.Object
      org.apache.cxf.wsdl.TExtensibilityElement
          org.apache.cxf.wsdl.TExtensibilityElementImpl
              org.apache.cxf.wsdl.http.OperationType

All Implemented Interfaces:
  javax.wsdl.extensions.ExtensibilityElement

    public class OperationType

extends TExtensibilityElementImpl

Java class for operationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="operationType">
       <complexContent>
         <extension base="{http://schemas.xmlsoap.org/wsdl/}tExtensibilityElement">
           <sequence>
           </sequence>
           <attribute name="location" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected java.lang.String` | `location`

Fields inherited from class org.apache.cxf.wsdl.TExtensibilityElement
`required`

Constructor Summary
`OperationType()`

Method Summary
`java.lang.String` | `getLocation()` Gets the value of the location property.
`boolean` | `isSetLocation()`
`void` | `setLocation(java.lang.String value)` Sets the value of the location property.

Methods inherited from class org.apache.cxf.wsdl.TExtensibilityElementImpl
`getElementType, getRequired, setElementType, setRequired`

Methods inherited from class org.apache.cxf.wsdl.TExtensibilityElement
`isRequired, isSetRequired, setRequired, unsetRequired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### location

    protected java.lang.String location

Constructor Detail

### OperationType

    public OperationType()

Method Detail

### getLocation

    public java.lang.String getLocation()

  Gets the value of the location property.

  Returns:
    possible object is `String`

### setLocation

    public void setLocation(java.lang.String value)

  Sets the value of the location property.

  Parameters:
    `value` - allowed object is `String`

### isSetLocation

    public boolean isSetLocation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF